Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class XSLTResultTarget

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.XSLTResultTarget

Deprecated. This compatibility layer will be removed in later releases.

public class XSLTResultTarget
extends java.lang.Object

Contains the result of a transformation that you perform with the XSLTProcessor process() method or one of the StylesheetRoot process() methods. Create an instance of this class to provide the process() method a container for the transformation result tree. You can use a file name or URL, character stream, byte stream, DOM Node, or SAX DocumentHandler to instantiate an XSLTResultTarget object.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  `XSLTProcessor.process(XSLTInputSource, XSLTInputSource, XSLTResultTarget)`, `StylesheetRoot`

Constructor Summary
`XSLTResultTarget()` Deprecated. Zero-argument default constructor -- Before you can use the new XSLTResultTarget object in a transformation, you must define the output container by setting its FileName, CharacterStrea, ByteStream, or Node property.
`XSLTResultTarget(org.xml.sax.DocumentHandler handler)` Deprecated. Create a new output target with a SAX Document handler, which will handle result events -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's DocyumentHandler property.
`XSLTResultTarget(org.w3c.dom.Node n)` Deprecated. Create a new output target with a DOM Node -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's Node property.
`XSLTResultTarget(java.io.OutputStream byteStream)` Deprecated. Create a new output target with a byte stream -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's ByteStream property.
`XSLTResultTarget(java.lang.String fileName)` Deprecated. Create a new output target with a file name -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's FileName property.
`XSLTResultTarget(java.io.Writer characterStream)` Deprecated. Create a new output target with a character stream -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's CharacterStream property.

Method Summary
`java.io.OutputStream` | `getByteStream()` Deprecated. Get the byte stream that contains or will contain the transformation result.
`java.io.Writer` | `getCharacterStream()` Deprecated. Get the character stream that was set with setWriter.
`org.xml.sax.DocumentHandler` | `getDocumentHandler()` Deprecated. Get the SAX DocumentHandler that processes the result tree events.
`java.lang.String` | `getEncoding()` Deprecated. Get the character encoding that was used.
`java.lang.String` | `getFileName()` Deprecated. Get the file name where the results are or will be written, or null if none was supplied.
`org.w3c.dom.Node` | `getNode()` Deprecated. Get the node that will contain the result DOM tree.
`javax.xml.transform.Result` | `getResultObject()` Deprecated. Get the Result object associated with this XSLTResultTarget object .
`java.lang.String` | `getSystemId()` Deprecated. Get the system identifier that was set with setSystemId.
`void` | `setByteStream(java.io.OutputStream byteStrm)` Deprecated. Set the byte stream to contain the transformation result.
`void` | `setCharacterStream(java.io.Writer writer)` Deprecated. Set the writer that is to receive the result.
`void` | `setDocumentHandler(org.xml.sax.DocumentHandler handler)` Deprecated. Set a SAX DocumentHandler to process the result tree events.
`void` | `setEncoding(java.lang.String encoding)` Deprecated. Set the character encoding, if known.
`void` | `setFileName(java.lang.String fileName)` Deprecated. Set the file name or URL where the transformation result will be written.
`void` | `setNode(org.w3c.dom.Node node)` Deprecated. Set the node that will contain the result DOM tree.
`void` | `setSystemId(java.lang.String systemID)` Deprecated. Set the system identifier for this Result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTResultTarget

    public XSLTResultTarget()

  Deprecated.
  Zero-argument default constructor -- Before you can use the new XSLTResultTarget object in a transformation, you must define the output container by setting its FileName, CharacterStrea, ByteStream, or Node property.

  See Also:
    `setFileName(String)`, `setCharacterStream(Writer)`, `setByteStream(OutputStream)`, `setNode(Node)`, `setDocumentHandler(DocumentHandler)`, `setEncoding(String)`

### XSLTResultTarget

    public XSLTResultTarget(java.lang.String fileName)

  Deprecated.
  Create a new output target with a file name -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's FileName property.

  Parameters:
    `fileName` - Identifies the file that will contain the transformation result (must be a valid system file name).
  See Also:
    `setFileName(String)`, `setCharacterStream(Writer)`, `setByteStream(OutputStream)`, `setNode(Node)`, `setDocumentHandler(DocumentHandler)`, `setEncoding(String)`

### XSLTResultTarget

    public XSLTResultTarget(java.io.OutputStream byteStream)

  Deprecated.
  Create a new output target with a byte stream -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's ByteStream property.

  Parameters:
    `byteStream` - The raw byte stream that will contain the transformation result.
  See Also:
    `setByteStream(OutputStream)`, `setFileName(String)`, `setCharacterStream(Writer)`, `setNode(Node)`, `setDocumentHandler(DocumentHandler)`, `setEncoding(String)`

### XSLTResultTarget

    public XSLTResultTarget(java.io.Writer characterStream)

  Deprecated.
  Create a new output target with a character stream -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's CharacterStream property.

  Parameters:
    `characterStream` - The character stream where the transformation result is written.
  See Also:
    `setCharacterStream(Writer)`, `setByteStream(OutputStream)`, `setFileName(String)`, `setNode(Node)`, `setDocumentHandler(DocumentHandler)`, `setEncoding(String)`

### XSLTResultTarget

    public XSLTResultTarget(org.w3c.dom.Node n)

  Deprecated.
  Create a new output target with a DOM Node -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's Node property.

  Parameters:
    `node` - The DOM Node that will contain the transformation result.
  See Also:
    `setNode(Node)`, `setCharacterStream(Writer)`, `setByteStream(OutputStream)`, `setFileName(String)`, `setDocumentHandler(DocumentHandler)`, `setEncoding(String)`

### XSLTResultTarget

    public XSLTResultTarget(org.xml.sax.DocumentHandler handler)

  Deprecated.
  Create a new output target with a SAX Document handler, which will handle result events -- the equivalent of creating an output target with the zero-argument constructor and setting the new object's DocyumentHandler property.

  Parameters:
    `handler` - The SAX Document handler to which the result is written.
  See Also:
    `setDocumentHandler(DocumentHandler)`, `setNode(Node)`, `setCharacterStream(Writer)`, `setByteStream(OutputStream)`, `setFileName(String)`, `setEncoding(String)`

Method Detail

### setFileName

    public void setFileName(java.lang.String fileName)

  Deprecated.
  Set the file name or URL where the transformation result will be written.

  Parameters:
    `fileName` - The system identifier as a string.
  See Also:
    `XSLTResultTarget(String)`, `getFileName()`

### getFileName

    public java.lang.String getFileName()

  Deprecated.
  Get the file name where the results are or will be written, or null if none was supplied.

  Returns:
    The file name or URL.
  See Also:
    `XSLTResultTarget(String)`, `setFileName(String)`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Deprecated.
  Set the character encoding, if known.

  Parameters:
    `encoding` - The character encoding.

### getEncoding

    public java.lang.String getEncoding()

  Deprecated.
  Get the character encoding that was used.

  Returns:
    The encoding, or null if none was supplied.

### setDocumentHandler

    public void setDocumentHandler(org.xml.sax.DocumentHandler handler)

  Deprecated.
  Set a SAX DocumentHandler to process the result tree events. You can process events as they occur rather than waiting for the transformation to be completed.

  Parameters:
    `handler` - The SAX DocumentHandler to process result tree events.
  See Also:
    `XSLTResultTarget(DocumentHandler)`, `getDocumentHandler()`

### getDocumentHandler

    public org.xml.sax.DocumentHandler getDocumentHandler()

  Deprecated.
  Get the SAX DocumentHandler that processes the result tree events. You can use the DocumentHandler to process events as they occur rather than waiting for the transformation to be completed.

  Returns:
    The SAX DocumentHandler that processes result tree events.
  See Also:
    `XSLTResultTarget(DocumentHandler)`, `setDocumentHandler(DocumentHandler)`

### setNode

    public void setNode(org.w3c.dom.Node node)

  Deprecated.
  Set the node that will contain the result DOM tree. In practice, the node should be a `Document` node, a `DocumentFragment` node, or a `Element` node. In other words, a node that accepts children.

  Parameters:
    `node` - The node to which the transformation will be appended.

### getNode

    public org.w3c.dom.Node getNode()

  Deprecated.
  Get the node that will contain the result DOM tree. If no node was set via setNode, the node will be set by the transformation, and may be obtained from this method once the transformation is complete.

  Returns:
    The node to which the transformation will be appended.

### setByteStream

    public void setByteStream(java.io.OutputStream byteStrm)

  Deprecated.
  Set the byte stream to contain the transformation result.

  Parameters:
    `byteStream` - A byte stream that will contain the transformation result.
  See Also:
    `XSLTResultTarget(OutputStream)`, `setByteStream(OutputStream)`

### getByteStream

    public java.io.OutputStream getByteStream()

  Deprecated.
  Get the byte stream that contains or will contain the transformation result.

  Returns:
    The byte stream, or null if none was supplied.
  See Also:
    `XSLTResultTarget(OutputStream)`, `setByteStream(OutputStream)`

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Deprecated.
  Set the system identifier for this Result.

  If the Result is not to be written to a file, the system identifier is optional. The application may still want to provide one, however, for use in error messages and warnings, or to resolve relative output identifiers.

  Parameters:
    `systemId` - The system identifier as a URI string.

### getSystemId

    public java.lang.String getSystemId()

  Deprecated.
  Get the system identifier that was set with setSystemId.

  Returns:
    The system identifier that was set with setSystemId, or null if setSystemId was not called.

### setCharacterStream

    public void setCharacterStream(java.io.Writer writer)

  Deprecated.
  Set the writer that is to receive the result. Normally, a stream should be used rather than a writer, so that the transformer may use instructions contained in the transformation instructions to control the encoding. However, there are times when it is useful to write to a writer, such as when using a StringWriter.

  Parameters:
    `writer` - A valid Writer reference.

### getCharacterStream

    public java.io.Writer getCharacterStream()

  Deprecated.
  Get the character stream that was set with setWriter.

  Returns:
    The character stream that was set with setWriter, or null if setWriter or the Writer constructor was not called.

### getResultObject

    public javax.xml.transform.Result getResultObject()

  Deprecated.
  Get the Result object associated with this XSLTResultTarget object .

  Returns:
    The Result object associated with this XSLTResultTarget object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference